Foniatr - Feature #197
vkladani stimulu do testu
27 May 2014 11:54 - Marek Fri¢

Status: Resolved Start date: 27 May 2014
Priority: Urgent Due date:

Assignee: Tomas Kulhanek % Done: 100%
Category: HTMLS5 client Estimated time: 0.00 hour
Target version: Psychotest2 Spent time: 3.00 hours
Description

Do samotneho testu (tedy napriklad jedne obrazovky s 5 posuvniky jako ukoly) je nutno vlozit zaroven nekolik stimulu, ktere se pak
budou pro kazdeho hodnotitele radit nejakym pravidlem (nejcasteji nahodne).

Ukol 1:

- vytvorit nejakou obecnou strukuturu, ze k dane obrazovce (testu) se budou vazat konkretni stimuly (z nejake databaze), - tato
struktura by mela byt schopna komunikovat s vyssi urovni programu (programuje Pavelka) tedy napr.: obrazovka dostane pokyn, ze
se budeopakovat nekolik krat a vzdy na ni bude prezentovany konkretni stimul(vetsinou je to u skalovaciho , kategorickeho testu a pri
textovem popisu), nebo vicero stimulu (v pripade paroveho porovnani, nebo vicero porovnani)

Ukol 2:
- nejjednodussi verze je, ze administrator zada k obrazovce namisto ZVUK, SKUPINU ZVUKU a zvoli Sezazeni teto skupiny
NAHODNE - to je nutno naprogramovat predevsim

Related issues:

Related to Feature # 177: Struktura stimulll pro testy Resolved 25 May 2015
Related to Feature # 178: Pravidla fazeni (stimul(, obrazovek, test() Resolved
History

#1 - 27 May 2014 19:26 - Tomas Kulhanek

ad Ukol 1. To je jiz castecne hotovo viz. klicove slovo kategoricky a parovy. Viz specifikace jazyka

http:/patf-biokyb.If1.cuni.cz/wiki/projekty/psychoakusticke testy/navrh dsl jazyka

Chybi definice poradi - zatim neni nahodne a defaultne se generuji obrazovky pro zvuky

kategoricky: (1) (2) (3) .. (n)

parovy: (12) (13) (14) ... (1n) ...
(23) (24) ... (2n) ...
(n-1n)

#2 - 27 May 2014 19:26 - Tomas Kulhanek
- Category set to HTML5 client
- Target version set to Psychotest 1

#3 - 25 June 2014 12:09 - Tomas Kulhanek
- % Done changed from 0 to 50
http://patf-biokyb.lf1.cuni.cz/wiki/projekty/psychoakusticke_testy/navrh_dsl_jazyka

pfidana moznost oznacit zvuky a tlacitko, které na aktualni kurzor v editoru vygeneruje definici zvuk [soubor.wav].

#4 - 25 June 2015 16:27 - Tomas Kulhanek

- Status changed from New to Resolved

- Target version changed from Psychotest 1 to Psychotest2
- % Done changed from 50 to 100

vice n=tice stimulu vyresena feature #234

nahodne poradi v ramci n-tice vyreseno feature #235
